## org.gnu.pango
Class WrapMode

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.pango.WrapMode

public class WrapMode
extends Enum

Describes how to wrap the lines of a PangoLayout to the desired width.

Field Summary
`static WrapMode` `CHAR` Wrap lines at character boundaries.
`static WrapMode` `WORD` Wrap lines at word boundaries.
`static WrapMode` `WORD_CHAR` Wrap lines at word boundaries, but fall back to character boundaries if there is not enough space for a full word.

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`WrapMode` `and(WrapMode other)`
`static WrapMode` `intern(int value)`
`WrapMode` `or(WrapMode other)`
`boolean` `test(WrapMode other)`
`WrapMode` `xor(WrapMode other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WORD

    public static final WrapMode WORD

  Wrap lines at word boundaries.

### CHAR

    public static final WrapMode CHAR

  Wrap lines at character boundaries.

### WORD_CHAR

    public static final WrapMode WORD_CHAR

  Wrap lines at word boundaries, but fall back to character boundaries if there is not enough space for a full word.

Method Detail

### intern

    public static WrapMode intern(int value)

### or

    public WrapMode or(WrapMode other)

### and

    public WrapMode and(WrapMode other)

### xor

    public WrapMode xor(WrapMode other)

### test

    public boolean test(WrapMode other)